Bug 30177 - Blacklist kernel modules using UCR
Blacklist kernel modules using UCR
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 enhancement
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Lukas Walter
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 10:02 CET by Kevin Dominik Korte
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Dominik Korte univentionstaff 2013-01-25 10:02:49 CET
Especially when dealing with wireless network drivers there are numerous concurrent drivers with different features and licenses available. It is therefor sometimes unavoidable to disable certain drivers to enforce the usage of a specific driver. This can most often be achieved by blacklisting the respective kernel module.

Blacklisting should therefore be configurable using UCR to efficiently set the blacklists across multiple devices without forcing the Administrator to provide different images to deal with these issues.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-12-13 12:36:27 CET
This is supported in UCS 3.2 with kernel/blacklist.

Since the UCR templates in UCC 1.1 will be updated to the versions in 3.2, this will be fixed along.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-23 14:26:02 CEST
(In reply to Moritz Muehlenhoff from comment #1)
> This is supported in UCS 3.2 with kernel/blacklist.
> 
> Since the UCR templates in UCC 1.1 will be updated to the versions in 3.2,
> this will be fixed along.

univention-base-files was updated in Bug 33760

Setting e.g. kernel/blacklist=btrfs prevents the autoload of the btrfs kernel module (which is loaded by default for some reason)
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-06 11:12:12 CEST
For the QA:

- Run lsmod, btrfs should be loaded.
- Set the UCR variable kernel/blacklist=btrfs in a UCR policy
- After a reboot of the client the btrfs module should not be loaded.
Comment 4 Lukas Walter univentionstaff 2014-05-06 14:34:23 CEST
(In reply to Moritz Muehlenhoff from comment #3)
> For the QA:
> 
> - Run lsmod, btrfs should be loaded.
> - Set the UCR variable kernel/blacklist=btrfs in a UCR policy
> - After a reboot of the client the btrfs module should not be loaded.


Working.
Changelog entry exists
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:37 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".